Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.zhbevd

scipy.linalg.lapack.zhbevd(ab[, compute_v, lower, ldab, lrwork, liwork, overwrite_ab]) = <fortran function zhbevd>

  Wrapper for `zhbevd`.

  Parameters:
    ab input rank-2 array(‘D’) with bounds (ldab,n)
  Returns:
    w rank-1 array(‘d’) with bounds (n)
    z rank-2 array(‘D’) with bounds (ldz,ldz)
    info int
  Other Parameters:
    overwrite_ab input int, optional

      Default: 1

    compute_v input int, optional

      Default: 1

    lower input int, optional

      Default: 0

    ldab input int, optional

      Default: shape(ab,0)

    lrwork input int, optional

      Default: (compute_v?1+5*n+2*n*n:n)

    liwork input int, optional

      Default: (compute_v?3+5*n:1)